Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class ContextList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  ix.util.context.LLQueue<E>
                      ix.util.context.ContextList<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>

    public class ContextList<E>

extends LLQueue<E>

A context-dependent list. This is effectively just another name for `LLQueue`.

Nested Class Summary

Nested classes/interfaces inherited from class ix.util.context.LLQueue
`LLQueue.LLQueueListIterator`

Field Summary

Fields inherited from class ix.util.context.LLQueue
`__state, IN, OUT`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ContextList()`
`ContextList(java.util.Collection initialContents)`
`ContextList(ContextHolder holder)`
`ContextList(ContextHolder holder, java.util.Collection initialContents)`

Method Summary

Methods inherited from class ix.util.context.LLQueue
`add, clear, clearCompletely, contents, get, isEmpty, iterator, lastIndexOf, listIterator, pop, push, remove, removeAll, setContents, setLLContents, size`

Methods inherited from class java.util.AbstractSequentialList
`add, addAll, remove, set`

Methods inherited from class java.util.AbstractList
`equals, hashCode, indexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, retainAll, toArray, toArray`

Constructor Detail

### ContextList

    public ContextList()

### ContextList

    public ContextList(java.util.Collection initialContents)

### ContextList

    public ContextList(ContextHolder holder)

### ContextList

    public ContextList(ContextHolder holder,
                       java.util.Collection initialContents)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD